Summary: A program for synchronizing files over a network.
Name: rsync
Version: 2.6.2
Release: 3tr
License: GPL
Group: Trustix Official
Source:	ftp://ftp.samba.org/pub/rsync/rsync-%{version}.tar.gz
Source1: rsyncd.xinetd
Source2: rsyncd.logrotate
Source3: rsyncd.conf
Source4: rsyncd.init
Patch0: path-sanitizing.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.

%package server
Summary: The server part of rsync
Group: Trustix Official
Requires: rsync xinetd

%description server
This is the server part of the rsync package.

Install this package if you want to provide a rsync server.

%prep
%setup -q
%patch0 -p1

%build

%configure

make CCOPTFLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/man/man1

# The server files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{xinetd.d,logrotate.d,init.d}
mkdir -p $RPM_BUILD_ROOT/var/log/rsync
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/rsync
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/rsync
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rsyncd.conf
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/rsyncd
touch $RPM_BUILD_ROOT/var/log/rsync/rsync

strip rsync
%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README tech_report.tex
%{_prefix}/bin/rsync
%{_prefix}/share/man/man1/rsync.1*
%{_prefix}/share/man/man5/rsyncd.conf.5*

%files server
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/rsync
%config(noreplace) /etc/logrotate.d/rsync
%config(noreplace) /etc/rsyncd.conf
/etc/init.d/rsyncd
%dir %attr(750,root,root) /var/log/rsync
%attr(640,root,root) /var/log/rsync/*

%changelog
* Sun Dec 12 2004 Erlend Midttun <erlendbm at trustix dot org> 2.6.2-3tr
- Added rsyncd initscript.

* Tue Aug 17 2004 Christian H. Toldnes <christht@trustix.com> 2.6.2-2tr
- Added patch to fix August 12th, 2004 advisory.

* Thu May  6 2004 Erlend Midttun <erlendbm at trustix dot org> 2.6.2-1tr
- Bugfixes.

* Thu Apr 29 2004 Erlend Midttun <erlendbm at trustix dot org> 2.6.1-1tr
- New upstream version fixes CAN-2004-0426.

* Tue Feb 10 2004 Chr. Toldnes <christht at trustix dot org> 2.6.0-1tr
- New upstream version

* Thu Dec  4 2003 Erlend Midttun <erlendbm at trustix dot org> 2.5.7-1tr
- New upstream with security fix.

* Thu Oct  2 2003 Chr. Toldnes <christht at tawie dot org> 2.5.6-1tsl
- New upstream version fixes memory problems.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.5-4tr
- Big rebuild

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.5-3em
- Added -server package.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.5-2em
- Rebuilt against glibc 2.3.2.

* Fri Sep 13 2002 Erlend Midttun <erlendbm at trustix dot com> 2.5.5-1tr
- Picked up 2.5.5.  Fixes a few issues.

* Fri Mar 15 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version: 2.5.4 to fix zlibs double free() problem.

* Mon Jan 28 2002 Christian H. Toldnes <christht at trustix dot com>
- Patched against several bugs, one known to be security related.

* Wed Sep 13 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 2.4.6

* Mon Jan 31 2000 Jeff Johnson <jbj@redhat.com>
- update to 2.4.1.

* Fri Dec 17 1999 Bill Nottingham <notting@redhat.com>
- update to 2.3.2

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- add "max. delete" patch to limit damage when server is hosed.

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- update to 2.3.1.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0.

* Sat Mar 13 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0 beta.

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.1.1

* Mon Aug 17 1998 Erik Troan <ewt@redhat.com>
- updated to 2.1.0

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- buildrooted and attr-rophied
- removed tech-report.ps; the .tex should be good enough

* Mon Aug 25 1997 John A. Martin <jam@jamux.com>
- Built 1.6.3-2 after finding no rsync-1.6.3-1.src.rpm although there
  was an ftp://ftp.redhat.com/pub/contrib/alpha/rsync-1.6.3-1.alpha.rpm
  showing no packager nor signature but giving 
  "Source RPM: rsync-1.6.3-1.src.rpm".
- Changes from 1.6.2-1 packaging: added '$RPM_OPT_FLAGS' to make, strip
  to '%build', removed '%prefix'.

* Thu Apr 10 1997 Michael De La Rue <miked@ed.ac.uk>
- rsync-1.6.2-1 packaged.  (This entry by jam to credit Michael for the
  previous package(s).)
